/***************************************************************************
                          kdlgcreatekey.cpp  -  description                              
                             -------------------                                         
    begin                : Sun Jun 20 1999                                           
    copyright            : (C) 1999 by Christian Rossi                         
    email                : crossi@mailcity.com                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "kdlgcreatekey.h"
#include "kpgpcrypt.h"
#include "stdlib.h"
#include "qmessagebox.h"

extern KPGPCrypt *Ventana;

KDlgCreateKey::KDlgCreateKey(QWidget *parent, const char *name) : QDialog(parent,name,true)
{
	initDialog();
	setCaption("Creacion de Llaves");

	connect(m_Aceptar,SIGNAL(released()),SLOT(Aceptar()));
	connect(m_Cancelar,SIGNAL(released()),SLOT(Cancelar()));
}

KDlgCreateKey::~KDlgCreateKey(){
}

void KDlgCreateKey::Cancelar()
{
    hide();
    return;
}

void KDlgCreateKey::Aceptar()
{
    char    comando[400]="";

    if (strcmp(m_Password->text(),m_RePassword->text())!=0)
    {
       QMessageBox * Msg = new QMessageBox(this,"qqq");
       Msg->setText("Los Passwords deben coincidir");
       Msg->show();
    }
    else
    {
       if (m_RSA->isChecked())
       	  strcpy(comando,"kvt -e pgpk -g RSA ");
       if (m_DSS->isChecked())
	        strcpy(comando,"kvt -e pgpk -g DSS ");
       if (m_768->isChecked())
          strcat(comando,"768 \"");
       if (m_1024->isChecked())
          strcat(comando,"1024 \"");
       if (m_2048->isChecked())
          strcat(comando,"2048 \"");
       if (m_3072->isChecked())
          strcat(comando,"3072 \"");

       strcat(comando,m_ID->text());
       strcat(comando,"\" 0 \"");
	     strcat(comando,m_Password->text());
       strcat(comando,"\"");
       system(comando);
    }
    done(1);
    return;
}



