/***************************************************************************
                          keditor.cpp  -  description
                             -------------------
    begin                : Sat Apr 8 2000
    copyright            : (C) 2000 by Christian Rossi
    email                : crossi@mailcity.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "keditor.h"
#include <qtooltip.h>

KEditor::KEditor(QWidget *parent, const char *name) : QWidget(parent,name)
{
	initDialog();
	QString	Mensaje = "En este lugar se muestra la respuesta del PGP ante un comando\n";
	Mensaje.operator+=("En caso de que se haya verificado una firma o encriptando un\n");
	Mensaje.operator+=("mensaje  se ver el resultado\n");
	Mensaje.operator+=("En caso de error se vera el texto del mismo.");
  QToolTip::add(m_Log,Mensaje);
	Mensaje = "Este lugar es un editor de texto en donde usted puede ingresar el\n";
	Mensaje.operator+=("texto que se quiere encriptar, firmar o verificar.\n");
	Mensaje.operator+=("Tambien se pueden abrir en esta region archivos de texto.\n");
	Mensaje.operator+=("Para ello elija abrir en el menu archivos.");
  QToolTip::add(m_Texto,Mensaje);
}

KEditor::~KEditor(){
}

//**  */
void KEditor::resizeEvent(QResizeEvent *e)
{
 	QSize				medida;	

	QWidget::resizeEvent(e);
	medida = e->size();
	m_Texto->resize(medida.width(),medida.height()-135);
	m_Log->resize(medida.width(),85);
	QPoint Punto = m_Log->pos();
	m_Log->move(Punto.x(),medida.height()-115);

	Punto = m_TextMode->pos();
	m_TextMode->move(Punto.x(),medida.height()-25);
	Punto = m_ASCII_Armoring->pos();
	m_ASCII_Armoring->move(Punto.x(),medida.height()-25);
}
