/***************************************************************************
                          kllaves.h  -  description
                             -------------------
    begin                : Sat Mar 18 2000
    copyright            : (C) 2000 by Christian Rossi
    email                : crossi@mailcity.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
                          kllaves.h  -  description                              
                             -------------------                                         
    begin                : Sun Jun 20 1999                                           
    copyright            : (C) 1999 by Christian Rossi                         
    email                : crossi@mailcity.com                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef KLLAVES_H
#define KLLAVES_H


/**
  *@author Christian Rossi
  */

class KLlaves {
public: 
	KLlaves();
	~KLlaves();

	struct TFirmas
	{
  	 char  IDFirma[80];
	} _TFirmas;

	struct TUID
	{
		char		UID[80];
		TFirmas		Firmas[100];
		int		CantidadDeFirmas;		
	} _TUID;

	struct TSubKey
	{
		char		ID[80];
		char		Creacion[12];
		char		Expiracion[12];
		char   		Tamano[5];
		char   		Tipo[20];
	} _TSubKey;

	struct TLlaves
	{
		bool			Secreta;
		bool			Activada;
		char			Validez[9];
		char			Confianza[10];
		char			FingerPrint[80];
		char			Tamano[5];
		char			Creacion[12];
		char			Expiracion[12];
		char			Tipo[80];
		char			Identificacion[11];
		char			Nombre[80];
		TSubKey		SubLlave;
		TUID			UID[15];
		int				CantidadUID;
	} _TLlaves;

	TLlaves   Llaves[256];
	int       CantidadDeLlaves;

};

#endif

