/***************************************************************************
                          kpgpcryptdoc.h  -  description
                             -------------------
    begin                : Sat Mar 18 15:48:07 ART 2000
    copyright            : (C) 2000 by Christian Rossi
    email                : crossi@mailcity.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef KPGPCRYPTDOC_H
#define KPGPCRYPTDOC_H

// include files for QT
#include <qobject.h>
#include <qlistview.h>

// application specific includes

/**
  * the Document Class
  */

class KPGPCryptDoc : public QObject
{
  Q_OBJECT

  public:
    KPGPCryptDoc();
    ~KPGPCryptDoc();
    void newDoc();
    bool save();
    bool saveAs(const QString &filename);
    bool load(const QString &filename);
    bool isModified() const;
  signals:
    void documentChanged();

  protected:
    bool modified;

public: // Public attributes

  /**  */
  QListViewItem *Item[100];
};

#endif
