/***************************************************************************
                          kpgpcryptview.h  -  description
                             -------------------
    begin                : Sat Mar 18 15:48:07 ART 2000
    copyright            : (C) 2000 by Christian Rossi
    email                : crossi@mailcity.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KPGPCRYPTVIEW_H
#define KPGPCRYPTVIEW_H

// include files for QT
#include <qwidget.h>
#include <qsplitter.h>
#include <qmultilinedit.h>
#include <qlistview.h>
#include <qtableview.h>
#include <ktabwidget.h>
#include <kparametros.h>
#include <keditor.h>

// application specific includes
#include "kpgpcryptdoc.h"

/**
 * This class provides an incomplete base for your application view. 
 */



class KPGPCryptView : public QWidget
{
  Q_OBJECT
  public:
    KPGPCryptView(QWidget *parent=0, KPGPCryptDoc* doc=0);
    ~KPGPCryptView();
//Del by KDevelop: 
  protected slots:
    void slotDocumentChanged();

 	public: // Public attributes
  	QSplitter *split;
  	QSplitter *split1;
 	  /**  */
	  KEditor *mler;
  	/**  */
	 	KTabWidget  *tw;
  	/**  */
	  KParametros  *mlel;
	  /** Lista de Parametros */
 };

#endif
