/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sat Mar 18 15:48:07 ART 2000
    copyright            : (C) 2000 by Christian Rossi
    email                : crossi@mailcity.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qwindowsstyle.h>
#include <qapplication.h>
#include <qfont.h>
#include <qconfig.h>
#include "kpgpcrypt.h"
#include "ksplash.h"

extern FILE *stderr;
extern FILE *stdout;
extern int pipe_pgp(const char *cmd, FILE **in, FILE **out,FILE **error);

int main(int argc, char *argv[])
{

	
  KSplash* Splash=0L;

  QApplication a(argc, argv);
  a.setFont(QFont("helvetica", 12));
  /* uncomment the following line, if you want a Windows 95 look*/
  a.setStyle(new QWindowsStyle);

  KPGPCrypt *kpgpcrypt=new KPGPCrypt();
  a.setMainWidget(kpgpcrypt);

  Splash = new KSplash;
  Splash->show();

  kpgpcrypt->show();

  sleep(5);
	Splash->close();  	


  return a.exec();
}



