/***************************************************************************
                          qconfig.h  -  description
                             -------------------
    begin                : Tue Apr 11 2000
    copyright            : (C) 2000 by Christian Rossi
    email                : crossi@mailcity.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QCONFIG_H
#define QCONFIG_H

#include <qfile.h>

/**
  *@author Christian Rossi
  */

class QConfig {

struct TClaves
{
	QString clave;
	QString valor;
}_TClaves;

struct TGrupos
{
	
	TClaves	claves[1000];
	int			cantidadClaves;
	QString	nombre;
}_TGrupos;

public: 
	QConfig(QString nombreArchivo);
	~QConfig();
  /**  */

/**************************************
* Especifica el grupo en donde se van *
* a buscar las claves                 *
***************************************/
  void setGroup(char group[256]);
/** ***********************************
* Devuelve el grupo en donde se       *
* estan buscando las claves           *
***************************************/
  QString *group();
  /** ********************************************
* Agrega una clave en el grupo actual
********************************************
 */
  void escribirEntrada(char clave[256],char valor[256]);
  /** **********************************************
* Lee una entrada desde el grupo actual
********************************************** */
  QString leerEntrada(char clave[256]);
  /**  */
  int grupoActual;

public: // Public attributes
  /**  */
  QFile *File;
  /**  */
  TGrupos grupos[1000];
private: // Private methods
  /**  */
  int cantidadGrupos;
/*******************************************
* Lee el archivo y lo carga en la variable *
* config                                   *
********************************************/
  void leerArchivo();
/*******************************************
* Lee la variable config y lo guarda en el *
* archivo                                  *
********************************************/
  void guardarArchivo();
};

#endif
